导入tensorflow库时显示没有‘’没有absl“库

一开始我以为是tensorflow的版本太高,删除了abls包

就尝试

pip uninstall tensorflow
pip install tensorflow==2.10.0

下载完后还是无法导入

再想想是不是可以加一个absl-py的库就可以了

pip install absl-py

尝试后还是无法使用tensorflow

再尝试用conda install tensorflow还是一样的错误,就开始怀疑pip下载是不是会文件缺失

就想到走pycharm下载

最后终于解决了这一”破库“

下面谈谈高版本tensorflow的注意事项 

因为高版本有些函数不能直接tf.

所以只用将一些调用前缀改成tf.compat.v1

记得在前面加一行tf.compat.v1.disable_eager_execution()哟

参考链接

 解决module ‘tensorflow‘ has no attribute ‘...‘系列_TLY-101-010的博客-CSDN博客

  • 2
    点赞
  • 0
    收藏
    觉得还不错? 一键收藏
  • 0
    评论

“相关推荐”对你有帮助么?

  • 非常没帮助
  • 没帮助
  • 一般
  • 有帮助
  • 非常有帮助
提交
评论
添加红包

请填写红包祝福语或标题

红包个数最小为10个

红包金额最低5元

当前余额3.43前往充值 >
需支付:10.00
成就一亿技术人!
领取后你会自动成为博主和红包主的粉丝 规则
hope_wisdom
发出的红包
实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、付费专栏及课程。

余额充值